summaryrefslogtreecommitdiff
path: root/homebrew/uade/patches.sh
diff options
context:
space:
mode:
authorMCApollo <34170230+MCApollo@users.noreply.github.com>2019-04-20 20:49:46 -0500
committerMCApollo <34170230+MCApollo@users.noreply.github.com>2019-04-23 20:18:47 -0500
commit12335518ab39608d58370c85ff9f5384ad2aa5f7 (patch)
tree352d81f2a2de3f1252af732080ec0fde38c13b4d /homebrew/uade/patches.sh
parenta2b26ad12d4fa12f0273645caf4be6d0b8b71e7c (diff)
Ported in the homebrew-marauder for a hacky update/import system.
TODO: Maybe add a license & fix up messy code.
Diffstat (limited to 'homebrew/uade/patches.sh')
-rwxr-xr-xhomebrew/uade/patches.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/homebrew/uade/patches.sh b/homebrew/uade/patches.sh
new file mode 100755
index 000000000..318d016ca
--- /dev/null
+++ b/homebrew/uade/patches.sh
@@ -0,0 +1,23 @@
+echo 'Creating brew-patch.diff'
+cat << EOF >> brew-patch.diff
+diff --git a/configure b/configure
+index 05bfa9b..a73608e 100755
+--- a/configure
++++ b/configure
+@@ -399,13 +399,13 @@ if test -n "$sharedir"; then
+ uadedatadir="$sharedir"
+ fi
+
+-$NATIVECC -v 2>/dev/null >/dev/null
++$NATIVECC --version 2>/dev/null >/dev/null
+ if test "$?" != "0"; then
+ echo Native CC "$NATIVECC" not found, please install a C compiler
+ exit 1
+ fi
+
+-$TARGETCC -v 2>/dev/null >/dev/null
++$TARGETCC --version 2>/dev/null >/dev/null
+ if test "$?" != "0"; then
+ echo Target CC "$TARGETCC" not found, please install a C compiler
+ exit 1
+EOF